Skip to main content
`Ctrl`+`K`

# PetscOptionsGetBoolArray

Gets an array of Logical (true or false) values for a particular option in the database. The values must be separated with commas with no intervening spaces.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetBoolArray(PetscOptions options, const char pre[], const char name[], PetscBool dvalue[], PetscInt *nmax, PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - string to prepend to each name or `NULL`

- name - the option one is seeking

## Output Parameters

- dvalue - the Boolean values to return

- nmax - On input maximum number of values to retrieve, on output the actual number of values retrieved

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Note

TRUE, true, YES, yes, nostring, and 1 all translate to `PETSC_TRUE`. FALSE, false, NO, no, and 0 all translate to `PETSC_FALSE`

## See Also

`PetscOptionsGetInt()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages